List Messages
curl --request GET \
--url https://api.revring.ai/v1/messages \
--header 'x-api-key: <api-key>'import requests
url = "https://api.revring.ai/v1/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.revring.ai/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"messagingConnectionId": "<string>",
"callId": "<string>",
"conversationId": "<string>",
"channel": "sms",
"fromNumber": "<string>",
"toNumber": "<string>",
"body": "<string>",
"status": "<string>",
"providerMessageId": "<string>",
"generatedByLlm": true,
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"total": 123,
"hasNextPage": true
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}Messages
List Messages
Retrieve the message log for your organization, newest first. Offset-paginated.
GET
/
messages
List Messages
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Query Parameters
Filter by the agent's folder. A folder id, or 'none' for agents with no folder.
Available options:
INBOUND, OUTBOUND Required range:
x >= 1Required range:
1 <= x <= 100⌘I